# Class ArrowResultChunkV2.Builder

java.lang.Object
com.databricks.jdbc.api.impl.arrow.incubator.ArrowResultChunkV2.Builder

Enclosing class:
  `ArrowResultChunkV2`

public static class ArrowResultChunkV2.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`ArrowResultChunkV2`
`build()`
`ArrowResultChunkV2.Builder`
`withChunkInfo(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)`
`ArrowResultChunkV2.Builder`
`withChunkReadyTimeoutSeconds(int chunkReadyTimeoutSeconds)`
`ArrowResultChunkV2.Builder`
`withStatementId(StatementId statementId)`
`ArrowResultChunkV2.Builder`
`withThriftChunkInfo(long chunkIndex, TSparkArrowResultLink chunkInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### withStatementId

public ArrowResultChunkV2.Builder withStatementId(StatementId statementId)

### withChunkInfo

public ArrowResultChunkV2.Builder withChunkInfo(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)

### withThriftChunkInfo

public ArrowResultChunkV2.Builder withThriftChunkInfo(long chunkIndex, TSparkArrowResultLink chunkInfo)

### withChunkReadyTimeoutSeconds

public ArrowResultChunkV2.Builder withChunkReadyTimeoutSeconds(int chunkReadyTimeoutSeconds)

### build

public ArrowResultChunkV2 build()